package main

/* Prende una matrice (slice bidimensionale) dove m[r][c] è l'elemento
   sulla r-esima riga (0 è la riga più in alto) e la c-esima colonna (0
   è la colonna più a sinistra), e la modifica portando gli * in alto in
   ciascuna colonna */
func galleggia(m [][]string, nr int, nc int) {
  for c := 0; c < nc; c++ {
    for r := 0; r < nr - 1; r++ {
      if m[r+1][c] == "*" && m[r][c] != "*" {
        m[r+1][c], m[r][c] = m[r][c], m[r+1][c]
      }
    }
  }
}
